html, body {
	font-family: var(--lumo-font-family);
	font-weight:400 !important;
	height: 100%;
	font-size:100%;
	
	/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#ffffff+0,e5e5e5+100;White+3D */
	background: rgb(255,255,255); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(255,255,255,1) 0%, rgba(229,229,229,1) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top,  rgba(255,255,255,1) 0%,rgba(229,229,229,1) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom,  rgba(255,255,255,1) 0%,rgba(229,229,229,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#e5e5e5',GradientType=0 ); /* IE6-9 */
}

.w_force_margin_top_0 {
	margin-top:0px !important;
}

.w_main_layout {
	overflow-x: hidden;
	overflow-y: auto;
}
.w_main_layout .w_mainbox {
	overflow-y: auto;
	margin-top:0 !important;
	/*padding-top:10px !important;*/
}
.w_body_gen_class {
	padding-top:10px !important;
}

.w_header, .w_footer {
	
	color:white;
	
	/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#9a0606+0,8f0222+44,6d0019+100 */
background: rgb(154,6,6); /* Old browsers */
background: -moz-linear-gradient(top,  rgba(154,6,6,1) 0%, rgba(143,2,34,1) 44%, rgba(109,0,25,1) 100%); /* FF3.6-15 */
background: -webkit-linear-gradient(top,  rgba(154,6,6,1) 0%,rgba(143,2,34,1) 44%,rgba(109,0,25,1) 100%); /* Chrome10-25,Safari5.1-6 */
background: linear-gradient(to bottom,  rgba(154,6,6,1) 0%,rgba(143,2,34,1) 44%,rgba(109,0,25,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#9a0606', endColorstr='#6d0019',GradientType=0 ); /* IE6-9 */
	
	
	
}

.w_header {
	border-bottom:2px solid black;
}
.w_header_right {
	padding-right:10px;
}	
.w_header_logo {
	max-height:60px;
	margin-left:40px;
	margin-right:10px;
}
.w_header_ctitle {
	font-weight:bold;
	text-shadow: 1px 1px 1px #ccc;
	font-size:22px;
	margin-left:40px;
}
.w_footer {
	border-top:2px solid black;
	margin:0;
	padding: 0px 25px;
	font-size: 16px;
}
.w_main_caption {
	text-align: center;
	margin: 10px auto 15px auto;
	font-size: 25px;
	line-height: 23px;
	text-transform: uppercase;
	font-weight: 600;
	color: #1a40eb;
	text-shadow: 1px 1px 1px #ccc;
}

vaadin-vertical-layout {
	padding:0 !important;
}

.w_hr {
	margin:2px 0;
	padding:0;
}

.w_v_container {
	display: flex;
	flex-direction: column;
}
.w_col_left {
	/* display:table; */
	/* flex: 1; */
	  flex:0 1 280px;  
    min-width:280px;
  -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    transition: all 0.5s ease;
   
   position:relative;
   padding:0;
   /* background-color: #f9f9f9; */
   
   background-color: #fff;
   
    box-shadow: 2px 0px 13px rgba(0, 0, 0, 0.24);
    /**min-height: 93vmin;**/
    z-index: 99;
}

.w_col_left .w_menu_left {
	/* display: table-row; */
	border-right: 1px solid #ccc;
	height: 100%;
	
}
.w_col_left_hide {
  flex:0 1 0;
  min-width:0 !important;
  max-width:0 !important;
}
.w_col_left_hide_box > .w_menu_left {
  opacity: 0;
  visibility:hidden;
}
.w_chevrotine{
	position: absolute;
	top: 0px;
	right: -24px;
	background-color: #eee;
	color: #222;
	width: 25px;
	height: 54px;
	border-radius: 0px 15px 15px 0px;
	line-height: 50px;
	box-shadow: 6px 1px 6px -2px rgba(0, 0, 0, 0.20);
	cursor: pointer;
	z-index:-999 !important;
}

.w_left_menu_part_header {
	display:block;
	font-size:19px;
	font-weight:bold;
	padding:15px 0 0 10px;
	color:#1a40eb;
	text-shadow:1px 1px 1px #ddd;
	font-family: sans-serif;
	text-transform:uppercase;
}
.w_left_menu_header {
	display:block;
	font-size:17px;
	font-weight:bold;
	padding:14px 0px 0px 12px;
}

.w_dash_icon {
	padding-bottom:2px;	
}
.w_left_menu_line.dash {
	padding:5px 0 0px 20px;
}

.w_left_menu_line {
	display:block;
	cursor: pointer;
	padding:5px 0 5px 20px;
	font-size:15px;
}

.w_left_menu_line:hover {
	font-weight:bold;
	background-color:#333;
	color:white;
}


.w_menu_header {
	display: block;
	padding: 3px 20px;
	font-size: 13px;
	line-height: 1.42857143;
	color:#777;
	white-space: nowrap;
}
.w_menu_profil {
	background-color:#ddd;
	padding:5px 0 5px 20px !important;
	font-size:13px;
}
.w_menu_profil_login {
	font-weight:bold;
}
.w_menu_profil_name {
	margin-top:0;
	font-style:italic;
}


.w_main_content {
	padding:20px !important;
}

.w_sadmin_welcome {
	font-weight:bold;
	color:#1a40eb;
	font-size:22px;
	text-shadow:1px 1px 1px #ddd;
}

/** Box component */
.w_box_titled_caption {
	position: absolute;
  	top: 0;
  	transform: translateY(-50%);

	/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#9a0606+0,8f0222+44,6d0019+100 */
	background: rgb(154,6,6); /* Old browsers */
	background: -moz-linear-gradient(top,  rgba(154,6,6,1) 0%, rgba(143,2,34,1) 44%, rgba(109,0,25,1) 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top,  rgba(154,6,6,1) 0%,rgba(143,2,34,1) 44%,rgba(109,0,25,1) 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom,  rgba(154,6,6,1) 0%,rgba(143,2,34,1) 44%,rgba(109,0,25,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#9a0606', endColorstr='#6d0019',GradientType=0 ); /* IE6-9 */	

  	padding: 2px 20px;
  	border: 2px solid #9a0606;
  	border-radius:3px;
  	margin-bottom:10px;
  	font-weight: bold;
  	color:white;
  	
}
.w_box_titled {
	margin: 20px 0px 0px 0px;
  	padding: 15px 15px;
  	height: auto;
  	border: 2px solid #9a0606;
  	border-radius: 3px;
  	position: relative;
  	background-color: #EBEBEA;
  	box-shadow: 2px 2px 2px #999;
  	min-width:200px;
}

.w_margin_top_15 {
	margin-top:15px;
}

.w_sub_text {
	font-size:13px;
	font-style: italic;
	margin-top:0;
}
.w_licreg_title {
	font-size:14px;
	font-style: italic;
	font-weight:bold;
	margin-bottom: 2px;
	margin-top:2px;
}

.w_sub_text_block {
	font-size:13px;
	font-style: italic;
	margin-top:0;
	display:block;
}

.w_confirmdialog {
	padding:10px !important;
	border-radius:3px;
	background-color:#EBEBEA;
}


span.w_gridcell_link {
	color: #1a40eb;
	display:block;
	font-size: 13px;
}
span.w_gridcell_label {
	font-size: 14px;
	display: block;
}

.w_label {
	position:relative;
	font-weight: 600;
      	font-size: 14px;
      	color: var(--lumo-secondary-text-color);
}
.mandatory_label::after {
	position:relative;
    color: red;
    font-size: 16px;
    /* line-height: 1.50em; */
    content: "\2022";
    position: absolute;
    right: -15px;
    width: 1em;
    text-align: center;
}

.w_account_prev_display {
	font-weight: 600;
    font-size: 16px;
    color: var(--lumo-secondary-text-color);
    text-align:right;
    margin:0;
    border-top:1px dashed #aaa;
    border-bottom:1px dashed #aaa;
    border-left:1px dashed #aaa;
    border-radius:3px;
    min-width:70px;
    height: 35px;
	line-height: 33px;
	padding-right: 2px;
}
.w_account_prev_display_component {
	font-weight: 600;
    font-size: 16px;
    color: var(--lumo-secondary-text-color);
    text-align:right;
    margin:0;
    border-top:1px dashed #aaa;
    border-bottom:1px dashed #aaa;
    border-left:1px dashed #aaa;
    border-radius:3px;
    min-width:70px;
    height: 35px;
	line-height: 33px;
	padding-right: 2px;
	margin-top: 4px;
}



.w_white_card {
	display:block;
	text-align:center;
	min-width:700px;
	margin:20px auto;
	padding:10px;
	background-color:white;
	box-shadow:2px 2px 5px #888;
	border-radius:3px;
}
.w_standard_title {
	display:block;
	font-weight:bold;
	font-size:20px;
}
.w_assistant_license_control {
	font-style:italic;
	display:block;
	font-size:13px;
}

.w_help_icon {
	background-color: #9a0606;
	width: 30px;
	height: 30px;
	color:white;
	border-radius: 50px;
	margin-left: 5px;
	text-align: center;
}

.w_expert_accvalue_component {
	padding: 5px 10px;
	border-bottom:1px dashed #bbb;
}
.w_expert_box_account_bloc {
	margin-top:20px;
	border:1px solid white;
	border-radius:3px;
	box-shadow:1px 1px 3px #bbb;
}
.w_expert_button_caps {
	margin:0 !important;
	padding:7px !important;
}
.w_expert_button_caps_left {
	margin:0 !important;
	padding:7px 0px 7px 15px;
}

.w_expert_tax_line {
	margin-top:5px;
	background: rgba(0, 0, 0, 0.05);
	padding:5px;
	border-radius:5px;
	border:1px solid #fefefe;
}

.w_simple_box {
	padding:0px 10px 10px;
	border:1px solid white;
	border-radius:3px;
	box-shadow:1px 1px 3px #bbb;
}
.w_simple_box.dark {
	background-color:#dfdfdf;
}
.w_simple_box.semidark {
	background-color:#ececec;
}

.w_simple_box.w_simple_box_no_padding {
	padding:0 20px 0px 0px !important;
}
.w_acc_manage_component {
	padding:0px 10px 5px;
}
.w_acc_manage_component_bg_deb {
	background-color:#deefff;
	background-color:#dce8f2;
}
.w_acc_manage_component_bg_cre {
	background-color:#d9fbd8;
	background-color:#ddf2dc;
}

.w_company_canvas {
	text-align:center;
}

.w_company_homebox {
	padding:5px;
	margin:5px;
	border:1px solid #999;
	border-radius:3px;
	box-shadow:1px 1px 3px #ccc;
	display:inline-block;
	vertical-align: top;
	width:300px;
}
.w_company_homebox_title {
	text-align:center;
	font-weight:bold;
	font-size:22px;
	display:block;
	margin:0 auto;
	height:60px;
	line-height:60px;
	border-radius:3px;
}



.w_grid_journal_styled {
	margin: 3px auto 10px;
	border: 2px solid #9a0606;
	border-radius:3px;
	box-shadow: 2px 2px 2px #999;
}

.w_button_box {
	margin: 20px auto 10px;
	border: 2px solid #9a0606;
	border-radius:3px;
	box-shadow: 2px 2px 2px #999;
	padding: 3px 15px;
	background-color:white;
}
.w_button_box.dark {
	background-color: #ebebea;
}

.w_multigrid_actionbar {
	margin-top:0;
	margin-bottom:35px;
	border: 2px solid #9a0606;
	border-radius:3px;
	box-shadow: 2px 2px 2px #999;
	padding: 5px 15px;
	background-color:#ddd;
	font-size: 12px;
	font-weight: bold;
	text-transform:uppercase;
}

.w_grid_legend {
	margin-top:0;
	margin-bottom:0px;
	border: 2px solid #9a0606;
	border-radius:3px;
	box-shadow: 2px 2px 2px #999;
	padding: 5px 15px !important;
	background-color:#fff;
	font-size: 11px;
	text-transform:uppercase;
	width:unset !important;
}
.w_grid_legend .w_boldCol {
	font-weight:bold;
}
.w_grid_legend .w_col_hasrec {
	font-weight:bold;
	color:#9a0606;
}
.w_grid_legend .w_col_editable {
	font-weight:bold;
	color:#1a40eb;
}

.w_journal_last_record_text {
	font-size:16px;
	font-weight:bold;
	color:	#9a0606;
}


.w_layout_taxtype {
	padding:10px !important;
	background-color:#ddd;
	border-radius:3px;
	box-shadow: 2px 2px 2px #999;
}

.w_card_board {
	font: 300 16px/1.55 "Open Sans", sans-serif;
	background: white;
	color: #474747;
	border-radius: 4px;
	border: 1px solid #d5d5d5;
	box-shadow: 0 2px 3px rgba(0, 0, 0, 0.05);
	margin-bottom: 15px;
}
.w_card_board_lheader {
	min-height:130px;
}
.w_card_butt_line {
	min-height:200px;
}

.w_card_elm {
	height:100%;
	text-align:center;
}
.w_card_elm_right_border {
	border-right:1px solid #d5d5d5;
}

.w_card_elm_num {
	display:block;
	font: 300 28px/2.25 "Open Sans", sans-serif;
	color:#1a40eb;
}
.w_card_elm_title {
	display:block;
	font: 500 18px/1.55 "Open Sans", sans-serif;
}


.w_span_red_alert {
	color:red;
	font-weight:bold;
}

.w_div_align_right {
	display:inline-block;
	text-align:right;
}


.v-loading-indicator {
   position:fixed;
   pointer-events: auto;
   top:0px;
   right:0px;
   width:100%;
   height:100%;
   background-color:#444;
   background-repeat:no-repeat;
   background-position:center;
   z-index: 999999;
   opacity: 0.5; 
}

.v-loading-indicator:before {
  content: '';
    position: absolute;
    background-image: url("../img/loader-blue.svg");
    background-repeat: no-repeat;
    background-position: center;
    top: 50%;
    left: 50%;
    width: 72px;
    height: 72px;
    background-size: 72px 72px;
    margin-top: -36px;
    margin-left: -36px;
    z-index:1000000;
}

.first, .second, .third {
	min-width: 170px;
    min-height: 170px;
    z-index:90000000;
}

.v-loading-indicator.first:before {
  background-image: url("../img/loader-blue.svg");
}

.v-loading-indicator.second:before {
  background-image: url("../img/loader-yellow.svg");
}

.v-loading-indicator.third:before {
  background-image: url("../img/loader-red.svg");
}

/* *** _____ *** */
.w_no_margin_layout {
	margin:0 !important;
}

.w_box_form {
	background-color: #ddd;
	font-size:13px;
	padding:10px;
	padding-bottom:3px;
	border-left:1px solid #ccc;
}

.w_box_form_title {
	display:block;
	font-size:14px;
	color: #9a0606;
	border-bottom:1px solid #9a0606;
	margin-bottom:10px;
}

.w_box_form_buttlayout {
	margin-top:0;
	background-color: #ddd;
}


.w_warning_info {
	font-weight:bold;
	color:#9a0606;
	font-size:1.2em;
}

/* GESCOM Styles*/
.w_gescom_caption {
	text-align: center;
	margin: 10px auto 15px auto;
	font-size: 25px;
	line-height: 23px;
	text-transform: uppercase;
	font-weight: 600;
	color: #9a0606;
	/* #1a40eb; */
	text-shadow: 1px 1px 1px #ccc;
}


/** Alternative Box component */
.w_box_titled_alt_caption {
	position: absolute;
  	top: 0;
  	transform: translateY(-50%);

/* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#1a40eb+0,1a33d8+44,071a8c+100 */
	background: #1a40eb; /* Old browsers */
	background: -moz-linear-gradient(top, #1a40eb 0%, #1a33d8 44%, #071a8c 100%); /* FF3.6-15 */
	background: -webkit-linear-gradient(top, #1a40eb 0%, #1a33d8 44%, #071a8c 100%); /* Chrome10-25,Safari5.1-6 */
	background: linear-gradient(to bottom, #1a40eb 0%, #1a33d8 44%, #071a8c 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#1a40eb', endColorstr='#071a8c',GradientType=0 ); /* IE6-9 */

  	padding: 2px 20px;
  	border: 2px solid #1a40eb;
  	border-radius:3px;
  	margin-bottom:10px;
  	font-weight: bold;
  	color:white;
  	
}
.w_box_titled_alt {
	margin: 20px 0px 0px 0px;
  	padding: 15px 15px;
  	height: auto;
  	border: 2px solid #1a40eb;
  	border-radius: 3px;
  	position: relative;
  	background-color: #EBEBEA;
  	box-shadow: 2px 2px 2px #999;
  	min-width:200px;
}


